package com.info666.infraredRemote.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.system.domain.BaseParam;
import com.ruoyi.system.domain.BasicLibrary;
import com.ruoyi.system.domain.TemplateLibrary;
import com.ruoyi.system.domain.vo.GetDeviceInfoVo;
import com.ruoyi.system.service.BasicLibraryService;
import com.ruoyi.system.service.TemplateLibraryService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: LiMingMing
 * @Date: 2023/7/13 15:31
 **/
@RestController
@RequestMapping("/api/v1/getInfo")
public class GetDeviceInfoController {

    @Autowired
    private BasicLibraryService basicLibraryService;

    @Autowired
    private TemplateLibraryService templateLibraryService;

    @ApiOperation("获取遥控设备信息")
    @PostMapping("/getDeviceInfo")
    public R<List<GetDeviceInfoVo>> getDeviceInfo(@RequestBody BaseParam param) {
        // TODO: 2023/7/17 跟h5确定后进行变更
        Long temId = null;
        if (param.getId() == null) {
            temId = 1L;
        } else {
            temId = param.getId();
        }

        List<GetDeviceInfoVo> list = new ArrayList<>();
        TemplateLibrary templateLibrary = templateLibraryService.getOne(new LambdaQueryWrapper<TemplateLibrary>().eq(TemplateLibrary::getId, temId), false);
        //获取基本数据
        BasicLibrary basicLibrary = basicLibraryService.getOne(new LambdaQueryWrapper<BasicLibrary>().eq(BasicLibrary::getDelFlag, 0)
                .eq(BasicLibrary::getId, templateLibrary.getBaseId()), false);

        GetDeviceInfoVo deviceInfoVo = new GetDeviceInfoVo();
        deviceInfoVo.setBandValue(basicLibrary.getBandValue());
        deviceInfoVo.setComponentsString(templateLibrary.getComponents());
        deviceInfoVo.setBasicLibrary(basicLibrary);
        deviceInfoVo.setBackgroundPictureUrl(templateLibrary.getBackgroundPictureUrl());
        // TODO: 2023/7/17  需要跟h5再对一下    之前是list 现在只返回一条,不需要list
        list.add(deviceInfoVo);

        return R.ok(list);
    }


    /**
     * 查询已启的模板库列表
     */
    @PostMapping("/getEnableTemplateList")
    public R<List<TemplateLibrary>> getEnableTemplateList() {
        List<TemplateLibrary> templateIPage = templateLibraryService.list(new LambdaQueryWrapper<TemplateLibrary>()
                .eq(TemplateLibrary::getStatus, 0)
                .eq(TemplateLibrary::getDelFlag, 0));
        return R.ok(templateIPage);
    }


}
