package com.ruoyi.common.core.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Collections;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PageInfo<T> implements Serializable {

    private static final long serialVersionUID = 8545992873220298798L;

    /**
     * 总数
     */
    private long total = 0;

    /**
     * 每页显示条数
     */
    private long size = 10;

    /**
     * 当前页
     */
    private long current = 1;

    /**
     * 查询数据列表
     */
    private List<T> records = Collections.emptyList();
    public PageInfo(List<T> records){
        this.records = records;
    }
}
