package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 组件库对象 t_components_library
 * 
 * @author liming
 * @date 2023-07-13
 */
@Data
@TableName("t_components_library")
public class ComponentsLibrary implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 组件id */
    @TableId( value = "id", type = IdType.AUTO)
    private Long id;

    /** 组件名称 */
    @Excel(name = "组件名称")
    private String name;

    /** 基础库id */
    @Excel(name = "基础库id")
    private Long baseId;

    /** 组件样式 */
    @Excel(name = "组件样式")
    private String bntStyle;

    /** 组件类型   1开关型  2加减形 */
    @Excel(name = "组件类型   1开关型  2加减形")
    private String typeNum;

    /** 加减型  最大值 */
    @Excel(name = "加减型  最大值")
    private Long addSubMax;

    /** 加减型  最小值 */
    @Excel(name = "加减型  最小值")
    private Long addSubMin;

    /** 命令参数 */
    @Excel(name = "命令参数")
    private String dictateParameter;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defValue;

    /** 重复码 */
    @Excel(name = "重复码")
    private Long repeatCode;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;


}
