package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 模板库对象 t_template_library
 * 
 * @author liming
 * @date 2023-07-12
 */
@Data
@TableName("t_template_library")
public class TemplateLibrary implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 模板id */
    @TableId( value = "id", type = IdType.AUTO)
    private Long id;

    /** 基础库id */
    @Excel(name = "基础库id")
    private Long baseId;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String name;

    /** 关联组件信息 */
    @Excel(name = "关联组信息")
    private String components;

    /** 背景图片Url */
    @Excel(name = "背景图片Url")
    private String backgroundPictureUrl;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

}
