package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.BasicLibrary;
import com.ruoyi.system.domain.ComponentsLibrary;
import com.ruoyi.system.domain.vo.ComponentsAndBasicVo;
import com.ruoyi.system.mapper.ComponentsLibraryMapper;
import com.ruoyi.system.service.BasicLibraryService;
import com.ruoyi.system.service.ComponentsLibraryService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 组件库Service业务层处理
 * 
 * @author liming
 * @date 2023-07-12
 */
@Service
public class ComponentsLibraryServiceImpl extends ServiceImpl<ComponentsLibraryMapper, ComponentsLibrary> implements ComponentsLibraryService {

    @Autowired
    private BasicLibraryService basicLibraryService;

    @Override
    public List<ComponentsAndBasicVo> getAllComponentsInfo() {
        List<ComponentsAndBasicVo> voList = new ArrayList<>();
        List<ComponentsLibrary> basicLibraryList = this.list(new LambdaQueryWrapper<ComponentsLibrary>().eq(ComponentsLibrary::getDelFlag,0));
        for (ComponentsLibrary componentsLibrary : basicLibraryList) {
            ComponentsAndBasicVo componentsAndBasicVo = new ComponentsAndBasicVo();
            componentsAndBasicVo.setId(componentsLibrary.getId());
            componentsAndBasicVo.setName(componentsLibrary.getName());
            componentsAndBasicVo.setBaseId(componentsLibrary.getBaseId());
            componentsAndBasicVo.setBntStyle(componentsLibrary.getBntStyle());
            componentsAndBasicVo.setTypeNum(componentsLibrary.getTypeNum());
            componentsAndBasicVo.setAddSubMax(componentsLibrary.getAddSubMax());
            componentsAndBasicVo.setAddSubMin(componentsLibrary.getAddSubMin());
            componentsAndBasicVo.setDictateParameter(componentsLibrary.getDictateParameter());
            componentsAndBasicVo.setDefValue(componentsLibrary.getDefValue());
            componentsAndBasicVo.setRepeatCode(componentsLibrary.getRepeatCode());
            BeanUtils.copyProperties(basicLibraryList,componentsAndBasicVo);
            BasicLibrary one = basicLibraryService.getOne(new LambdaQueryWrapper<BasicLibrary>().eq(BasicLibrary::getId, componentsLibrary.getBaseId()), false);
            componentsAndBasicVo.setBaseName(one.getName());
            componentsAndBasicVo.setBandValue(one.getBandValue());
            componentsAndBasicVo.setBootCode(one.getBootCode());
            componentsAndBasicVo.setBootCodeSend(one.getBootCodeSend());
            componentsAndBasicVo.setDateCode(one.getDateCode());
            componentsAndBasicVo.setOverCode(one.getOverCode());
            voList.add(componentsAndBasicVo);
        }
        return voList;
    }
}
